// Arcol Hot End v3.0
// hot end designed by Laszlo Krekacs
//
// Home Page: http://wiki.arcol.hu/arcol-hu-hot-end
// RepRap wiki: http://reprap.org/wiki/Arcol.hu_Hot-End_Version_3.0
//
// Licence: CC BY-NC-ND 3.0
//
// scad files made by Bogdan Kecman


nozzle();

module nozzle() {
  difference() {
    union(){
      translate([0,0,-64.5]) cylinder(h=1, r=1, $fn=12);
      translate([0,0,-62.5]) cylinder(h=2, r1=3, r2=4.5, center=true);
      translate([0,0,-61.5]) cylinder(h=10, r=5.5, $fn=24); //this is threaded - screws into heater_block!!!
      translate([0,0,-51.5]) cylinder(h=8, r=7, $fn=24);
    }
    translate([0,0,-51.5]) cylinder(h=8.1, r=4.8, $fn=24); //this is threaded !!!
    translate([0,0,-62.5]) cylinder(h=11.1, r=1.55, $fn=24); 
    translate([0,0,-64.6]) cylinder(h=2.2, r=0.175, $fn=24); 

  }
}


