// Arcol Hot End v3.0
// hot end designed by Laszlo Krekacs
//
// Home Page: http://wiki.arcol.hu/arcol-hu-hot-end
// RepRap wiki: http://reprap.org/wiki/Arcol.hu_Hot-End_Version_3.0
//
// Licence: CC BY-NC-ND 3.0
//
// scad files made by Bogdan Kecman


peek();

module peek() {
  difference(){
    union(){
      color([0.5,0.5,0.5])translate([0,0,-51.5]) cylinder(h=8, r=4.8, $fn=24); //this is threaded, threads into nozzle !!!
      translate([0,0,-51.5+8]) cylinder(h=20, r=4.8, $fn=24); 
      translate([0,0,-51.5+8+20]) cylinder(h=2, r=7.5, $fn=24); //flange      
    }
    translate([0,0,-51.5-0.1]) cylinder(h=20+2+8+0.2, r=3, $fn=24); 
  }
}


